by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
zhulixiang
@zhulixiang
i want to sql script to clear activity's table ,who have?
charles
@xiecharles
Does anyone know why the dgrm_resource_name field of the act_re_procdef table is null
I used addInputStream to deploy the process definition. I added two input streams of xml and png. Both resources in act_ge_bytearray have, but the dgrm_resource_name field in the act_re_procdef table is null
Mathieu BODIN
@mathieubodin
Hi, does anyone know how to avoid mulitple deployments of the same process model without resetting the DB ?
4 replies
shk h
@shkjo_gitlab
This message was deleted
8 replies
sridhar pandurangiah
@sridharpandu

Hi, I am trying to install activiti on DigitalOcean K8 cluster. It failed while deploying the full example helm chart.

$helm repo add activiti-cloud-helm-charts https://activiti.github.io/activiti-cloud-helm-charts/
"activiti-cloud-helm-charts" has been added to your repositories

$ /usr/local/bin/helm/helm repo update
Hang tight while we grab the latest from your chart repositories...
...Skip local chart repository
...Successfully got an update from the "activiti-cloud-helm-charts" chart repository
...Successfully got an update from the "stable" chart repository
Update Complete.

$helm install --name example activiti-cloud-helm-charts/activiti-cloud-full-example --version 7.1.0-M6 --set global.gateway.domain=activiti.sastratechnologies.net --set activiti-cloud-identity.alfresco-identity-service.keycloak.postgresql.persistence.existingClaim=""
Error: validation failed: [unable to recognize "": no matches for kind "Deployment" in version "extensions/v1beta1", unable to recognize "": no matches for kind "StatefulSet" in version "apps/v1beta2"]

Appreciate if someone could tell me if I did something wrong

1 reply
balchua
@balchua
From kubernetes 1.17 extensions/v1beta1 is removed. What version of doks are you using?
balchua
@balchua
@sridharpandu i meant digitalocean kubernetes version.
Kubernetes removed extensions/v1beta1 from 1.16. although digitalocean still offers 1.15, you can try activiti using that doks version.
sridhar pandurangiah
@sridharpandu
@balchua I am using version 1.16 .6
@balchua Wondering if there is a way of installing activiti on doks 1.16.x
12 replies
önder sezgin
@onderson
Hi, roadmap has not been updated for a while.
does that mean it is not actively carrying on new features and other things
?
Marcello Teodori
@mteodori
quite the opposite, that page is outdated and should probably be removed, the activiti on github is your best check and the release notes: https://activiti.gitbook.io/activiti-7-developers-guide/releases
郭子钦
@guoziqin
I was wondering if the python web could be integrated. I used the flask framework
7 replies
Amy
@wawag
This message was deleted
1 reply
nun-cj
@nun-cj
HI,I want to use activiti6.0 on eclipse, but I can't get eclipse plug-ins. Who can help me?Thanks
1 reply
郭子钦
@guoziqin
Hello Is everyone busy
lutong
@lutongzero
@nun-cj if you want to get Eclipse Designer,you can see there: https://activiti.github.io/designer/update/
Martin Muller
@mmuller88
Hi guys. For a big customer we plan to implement a DMZ where external will have access to to start activiti workflows. Are there any guidlines for creating such DMZ? Could I use just one APS Admin for managing the activiti instance for the external and internal or do I need a separate APS Admin von the DMZ?
Meriem El Abed
@meriem-elabed
Hi, I get this exception when trying to upgrade activiti from 6.0.0 to 7.1.0.M6
Caused by: org.activiti.engine.ActivitiException: Could not update Activiti database schema: unknown version from database: '6.0.0.4'. When debugging, i didn't find the 6.0.0.4 version in DbSqlSession.ACTIVITI_VERSIONS. Who can help me?Thanks
7 replies
Elias Ricken de Medeiros
@erdemedeiros
@/all 7.1.0-m7 is out!
1 reply
litianzhong
@litianzhong
Hi, why I can not find tag 7.1.0.M7 in activiti-cloud-modeling repository? if I modeling-frontend 7.1.0.M7, which version backend is use?
5 replies
Eddie May
@freshwebs_twitter
Alfresco CEO, Jay Bhatt to provide an update on Alfresco’s recent developments in its online community. Make a beeline to registration: https://www.alfresco.com/events/webinars/jay-bhatt-alfresco-community-update
litianzhong
@litianzhong
Hi, Activiti cloud M7 had removed gateway? why removed?
6 replies
Mr. Rajkumar Rajamanickam
@rajkumarGH
Can we able to run 5.18 and 7 Activiti core version are in parallel at different container in same database schema by changing configuration to avoid activiti table overwrites ?
12 replies
jacky-liu
@jacky-liu
Hi, How can I create user and user group in Activiti 7.1M6? Can I create them in Database directly?
3 replies
jacky-liu
@jacky-liu
Hi, i created a work process via modeling and then download it as XML. Could you let me know how can i deploy this work process? What is the easiest way to deploy it? Thanks!
litianzhong
@litianzhong
Hi, I want to deploy a new process, but all exists processes were inserted again, and version is 2, the new process version is 1.
DJ
@deepakj6

Hi, I think the use cases are very educative.

Can you please share the licenses of the below repos?
(I wanted to check whether they were GNU/GPL/MIT)

https://github.com/salaboy/spring-cloud-k8s-minion
https://github.com/salaboy/spring-cloud-k8s-gateway
https://github.com/salaboy/spring-cloud-k8s-boss
https://github.com/salaboy/extending-k8s-with-spring-cloud

1 reply
Adilson Rodrigues
@zeguimoko
Hi, in activiti 6.0 how can I set the initial value for processIntanceId?
1 reply
sridhar pandurangiah
@sridharpandu

$> helm install --name example activiti-cloud-helm-charts/activiti-cloud-full-example --version 7.1.0-M6 --set global.gateway.domain=activiti.sastratechnologies.net --set activiti-cloud-identity.alfresco-identity-service.keycloak.postgresql.persistence.existingClaim=""
Error: validation failed: [unable to recognize "": no matches for kind "Deployment" in version "extensions/v1beta1", unable to recognize "": no matches for kind "StatefulSet" in version "apps/v1beta2"]

This is where I was stuck a few days back. After which I got around to reading about helm and charts. I wanted to figure out why these errors were triggered. So I examined the activiti-cloud-full-example requirements.yaml file to discover that this chart depends on the following (reproducing the relevent portions of the file below)

When I checked the repository https://kubernetes-charts.storage.googleapis.com in the browser the XML manifest file that is displayed doesnt contain the rabbit or postgress items. Infact it doesnt list anything beyond coredns (Its alphabetically ordered). So my assumption is that the XML manifest has been trimmed down over the years.

Nevertheless I did a dependency update as follows

$> helm dependency update activiti-cloud-full-example

To my surprise all the dependency charts were downloaded! I extracted the archives and performed a grep for extensions/v1beta1 and as suspected it threw up the following :
grep -r extensions/v1beta1 .
./activiti-cloud-full-example/charts/rabbitmq-ha/templates/ingress.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/postgresql/templates/_helpers.tpl:"extensions/v1beta1"
./activiti-cloud-full-example/charts/activiti-cloud-identity/charts/alfresco-identity-service/charts/keycloak/charts/postgresql/templates/_helpers.tpl:"extensions/v1beta1"
./activiti-cloud-full-example/charts/activiti-cloud-identity/charts/alfresco-identity-service/charts/keycloak/charts/postgresql/templates/deployment.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/activiti-cloud-identity/charts/alfresco-identity-service/charts/keycloak/templates/ingress.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/activiti-cloud-identity/charts/alfresco-identity-service/templates/identity-ingress.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/activiti-cloud-identity/charts/common/templates/_deployment_head.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/activiti-cloud-identity/charts/common/templates/_ingress.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/activiti-cloud-identity/templates/ingress-identity.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/activiti-cloud-query/charts/common/templates/_deployment_head.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/activiti-cloud-query/charts/common/templates/_ingress.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/activiti-cloud-connector/charts/common/templates/_deployment_head.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/activiti-cloud-connector/charts/common/templates/_ingress.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/activiti-cloud-modeling/charts/common/templates/_deployment_head.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/activiti-cloud-modeling/charts/common/templates/_ingress.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/runtime-bundle/charts/common/templates/_deployment_head.yaml:apiVersion: extensions/v1beta1
./activiti-cloud-full-example/charts/runtime-bundle/charts/common/template

5 replies
aresa7796
@aresa7796
How to replace Keycloak ?
activiti cloud how to replace Keycloak?
I want use myself iam
jwytd
@jwytd
I want to use activiti 7, which version should I choose?
1 reply
Koudri
@akoudri
Hi, when I make requests on the REST API, I always get the expected result, except those related to tasks. For instance, a request to the http://my-local-processes-endpoint/v1/process-instances/my-instance-id/tasks raises an HTTP 401 unauthorized error. Is this a bug ? Thx in advance for your help. Regards.
aresa7796
@aresa7796
Activiti Cloud 7.1.0-M7 have a bug
Elias Ricken de Medeiros
@erdemedeiros
Hi @aresa7796 , I added a coment in the issue
aresa7796
@aresa7796
Hi @erdemedeiros ,I have a new issue,Activiti Cloud deployment process , only restart service?
thaihoc
@thaihoc
Hello, I have a question. Can I select tasks and its variables in the same result?
Arturo Gonzalez
@dax_gr_twitter
Hello everyone, I am working with a project that involves activiti 5, my first question is the amount of resources that a quick installation requires, in ram and rom?
thaihoc
@thaihoc